%define module  Alien-wxWidgets
%define name    perl-%{module}
%define version 0.33
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Building, finding and using wxWidgets binaries
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Alien/%{module}-%{version}.tar.gz
Buildrequires:  perl(Module::Build)
Buildrequires:  perl(Module::Pluggable)
Buildrequires:  wxGTK-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
In short Alien::wxWidgets can be used to detect and get configuration settings
from an installed wxWidgets.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor < /dev/null
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%check
./Build test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README.txt
%{perl_vendorarch}/Alien
%{perl_vendorarch}/auto/Alien
%{_mandir}/*/*



%changelog
* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-2mdv2008.1
+ Revision: 164818
- despite containing only .pm files, this is not a noarch package
- rebuild

* Mon Jan 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2008.1
+ Revision: 155666
- update to new version 0.33

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.1
+ Revision: 105466
- import perl-Alien-wxWidgets


* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.1
- first mdv release 
